# ExtendedFileStream

Extended file stream wrapper class which auto-creates directories

author | Michiel Rook mrook@php.net
version | $Id: c919335e2dde3109449d2a7a76e8700d77653d03 $
package | phing.util

### Methods

## createDirectories

    createDirectories( $path)

### Arguments

#### $path

``

## mkdir

    mkdir( $path,  $mode,  $options) : boolean

### Arguments

#### $path

``

#### $mode

``

#### $options

``

### Response

`boolean`

## registerStream

    registerStream()

static

## rename

    rename( $path_from,  $path_to) : boolean

### Arguments

#### $path_from

``

#### $path_to

``

### Response

`boolean`

## rmdir

    rmdir( $path,  $options) : boolean

### Arguments

#### $path

``

#### $options

``

### Response

`boolean`

## stream_close

    stream_close()

## stream_eof

    stream_eof() : boolean

### Response

`boolean`

## stream_flush

    stream_flush() : boolean

### Response

`boolean`

## stream_open

    stream_open( $path,  $mode,  $options,  &$opened_path) : boolean

throws |

### Arguments

#### $path

``

#### $mode

``

#### $options

``

#### $opened_path

``

### Response

`boolean`

## stream_read

    stream_read( $count) : string

### Arguments

#### $count

``

### Response

`string`

## stream_seek

    stream_seek( $offset,  $whence) : integer

### Arguments

#### $offset

``

#### $whence

``

### Response

`integer`

## stream_stat

    stream_stat() : array

### Response

`array`

## stream_tell

    stream_tell() : integer

### Response

`integer`

## stream_write

    stream_write( $data) : integer

### Arguments

#### $data

``

### Response

`integer`

## unlink

    unlink( $path) : boolean

### Arguments

#### $path

``

### Response

`boolean`

## unregisterStream

    unregisterStream()

static

### Properties

## fp

    fp :

### Type(s)

``